Redmine - Defect #19002

Typos in descriptions of buildin macros (seen through {{macro_list}} output)
2015-02-02 17:14 - Mario Kishkin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 251
Description

Hello,

On the page http://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting it says that for including a wiki page one should
use this syntax:

! {{include (Foo) }}

This does not work. But without '!" sign it does:
{{include (Foo) }}

| think it's a typo.

We use Redmine 2.5.1, but | do not see anything considering include functinality in the changelogs from 2.5.1 up to 2.6.1.

Thanks!

Related issues:

Related to Redmine - Defect #19381: Wrong syntax for wiki macros in wiki_synt... Closed
Related to Redmine - Defect #30257: include/child_pages macro documentation typo Closed
Has duplicate Redmine - Defect #32328: markdown include and some macros does ... Closed
History

#1 - 2015-02-08 05:46 - Mischa The Evil

- Subject changed from Typo in Wiki Formatting docs to Typos in descriptions of buildin macros (seen through {{macro_list}} output)
- Category changed from Documentation to Text formatting

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.2

- Resolution set to Fixed

This actually has been a long-standing - but never noticed/reported - issue (consisting of escaping typos, | think, as the prepended exclamation mark
is used to escape textile markup) within the macro descriptions as RedmineTextFormatting is using the {{macro_list}} macro to display the list of
buildin macros and their descriptions.

This has been fixed in r13955 (which also fixes #18961), which will be included in 2.6.2

@Jean-Philippe: I'll assign this issue to you, the same way as you did with #18961, since r13955 still needs to be merged.

#2 - 2015-02-18 12:38 - Jean-Philippe Lang
- Category changed from Text formatting to Website (redmine.org)

- Target version deleted (2.6.2)

Thanks for pointing this out. This will be fixed when I'll upgrade redmine.org.

#3 - 2015-03-17 02:15 - Go MAEDA
- Related to Defect #19381: Wrong syntax for wiki macros in wiki_syntax_detailed.html added

#4 - 2019-10-24 02:46 - Go MAEDA
- Related to Defect #30257: include/child_pages macro documentation typo added

#5 - 2019-10-24 02:47 - Go MAEDA

- Has duplicate Defect #32328: markdown include and some macros does not works in stable release added

#6 - 2023-03-23 02:21 - Go MAEDA

- Status changed from Resolved to Closed

The issue has been fixed: RedmineTextFormattingTextile
